com.r3corda.core.contracts / DummyContract / SingleOwnerState

# SingleOwnerState

`data class SingleOwnerState : OwnableState, State`

### Constructors

<init> | `SingleOwnerState(magicNumber: Int = 0, owner: PublicKey)`

### Properties

contract | `val contract: DummyContract` An instance of the contract class that will verify this state.
magicNumber | `val magicNumber: Int`
owner | `val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount
participants | `val participants: List<PublicKey>` A participant is any party that is able to consume this state in a valid transaction.

### Functions

withNewOwner | `fun withNewOwner(newOwner: PublicKey): <ERROR CLASS>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone